Subject: Re: [codesprints] Future sprint work

From: <[email-masked]>
Date: Fri, 12 Dec 2008 12:54:18 +0200

Replying a bit late, but...

It would be really nice if we could do this incrementally, taking some
changes to use before fully upgrading to 0.96. This would split the
effort to more manageable pieces, and probably would be safer, too.

It seems some of these changes could be done while still using 0.96:
e.g. much of the Unicode work, and changing "maxlength" to "max_length" 
for model fields (it seems both spellings should work with 0.96).

Some parts (like the new admin framework) could probably be done with 
"if django.VERSION[0] == 1" style (which would be removed after 0.96
wasn't supported any more). The new admin interface code wouldn't get
run on 0.96, but it would avoid having two diverging branches.

On the other hand, I don't yet have a good picture of what amount of 
changes would be needed to allow even simple testing with Django 1.0
(where at least some views/URLs would work, even if not everything). 
Does anyone know?

Best regards,
Pasi

> -----Original Message-----
> From: Robert Sparks
> Sent: 20 November, 2008 22:23
> To: [email-masked]
> Subject: [codesprints] Future sprint work
> 
> One of the things we noted before this sprint was the need to
> migrate to Django 1.0 at some point in the future.
> 
> When time allows, please look over 
> http://docs.djangoproject.com/en/dev/releases/1.0-porting-guide/
> (does anyone have additional/better information on this topic?).
> 
> With that information in hand, do you think setting a goal to be on
> 1.0 before (or at) the next sprint is reasonable?
> 
> RjS
_______________________________________________
codesprints mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/codesprints